AR# 54875

Project Navigator - 標準でない最上位ライブラリを使用すると ISE から Synplify_Pro を実行するとエラーが発生する

説明

work ライブラリ以外のライブラリで最上位モジュールを使用し、ISE から Synplify_Pro を実行すると、Synplify の SRR レポートで次のようなエラー メッセージが表示されます。

@E: Could not find specified top level fpgatop (library: work, cell: fpgatop)Process took 0h:00m:01s realtime, 0h:00m:01s cputime

 

 

ソリューション

最上位モジュールを設定するときに、ISE でスクリプトから生成された Synplify の PRJ ファイルの 396 行目に、ライブラリの接頭辞が含まれていないために、この問題が発生しています。

set_option -top_module <module_name>

これは次のようになるべきです。

set_option -top_module <libraryname.module_name>

PRJ ファイルを上記のように変更すると、PRJ ファイルを使用してスタンドアロンで Synplify を実行することができます。 


PRJ ファイルの自動生成を修正するスクリプトが、今後のリリースで利用可能になる予定です。

AR# 54875
日付 10/09/2014
ステータス アクティブ
種類 一般
デバイス
ツール